
public class Joueur {
	private String nom;
	private Pion pionJoueur;
	private int nbVictoires;
	private int nbParties;
	
	
	public Joueur(){
		this("inconnu");
	}
	
	public Joueur(String nom){
		this(nom, new Pion(), 0, 0);
	}
	
	public Joueur(String nom, Pion p, int vict, int part){
		this.nom=nom;
		pionJoueur=p;
		nbVictoires=0;
		nbParties=0;	
	}
	
	public Joueur(Joueur j){
		this(j.getNom(), j.getPion(), j.getNbVictoires(), j.getNbParties());	
	}
	
	public String getNom() {
		return nom;
	}
	public void setNom(String nom) {
		this.nom = nom;
	}
	public Pion getPion() {
		return pionJoueur;
	}
	public void setPion(Pion pion) {
		this.pionJoueur = pion;
	}
	public int getNbVictoires() {
		return nbVictoires;
	}
	public void setNbVictoires(int nbVictoires) {
		this.nbVictoires = nbVictoires;
	}
	public int getNbParties() {
		return nbParties;
	}
	public void setNbParties(int nbParties) {
		this.nbParties = nbParties;
	}
	
	public String toString(){
		String s="";
		s="Nom : "+nom+"\nPions : '" + pionJoueur.toString() + "'" +
				"\nNombre de parties : " + nbParties + "\nNombre de victoires : " + nbVictoires + "\n";
		return s;
		
	}
}
